For the complete documentation index, see llms.txt. This page is also available as Markdown.

Order Response APIs

Operations related to OrderResponses

Get incoming OrderResponses [transaction-type: OrderResponse]

get
/transaction/{accountRegNo}/orderresponses/incoming

The response, in JSON, will always include the three latest messages, per default. Using XML you always only get one (as there's no "array" function for XML).

With JSON, use the limit parameter to change the number of returned messages and combine it with offset to traverse through your available messages.

To get new messages only, use the "Read" endpoint instead!

Authorizations
AuthorizationstringRequired
Path parameters
accountRegNostringRequired

Account registration number issued by Qvalia

Default: ""
Query parameters
limitnumberOptional

How many messages to return in Array (XML is always one!)

Default: 3Example: 5
offsetnumberOptional

Where to start index for using limit/offset listing

Default: 0Example: 0
includeReadbooleanOptional

If you are using the "read" enpoints, make it include previously read messages

Default: falseExample: false
integrationIdstringOptional

Qvalia unique identifier for the transaction/message

Default: ""
documentIdstringOptional

The document identifier of teh message, e.g. Invoice number

Default: ""
fromstringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
tostringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
updatedAtFromstringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
updatedAtTostringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
Header parameters
AuthorizationstringRequired

API key

Default: ""
AcceptstringOptional

Either "application/json" (default) or "application/xml"

Default: application/json
Responses
200

OK

get/transaction/{accountRegNo}/orderresponses/incoming

Create incoming OrderResponse [transaction-type: OrderResponse]

post
/transaction/{accountRegNo}/orderresponses/incoming

The request can be either JSON or XML. Each individual message must be POST'ed as an object, JSON Array is not suported!

Authorizations
AuthorizationstringRequired
Path parameters
accountRegNostringRequired

Account registration number issued by Qvalia

Default: ""
Query parameters
overwritebooleanOptional

For POST requests, chose to overwrite upon a 409 Conflict response to reprocess the message with the same document ID and receiver (i.e. send the same message again)

Default: falseExample: false
Header parameters
AuthorizationstringRequired

API key

Default: ""
Content-TypestringOptional

Either "application/json" (default) or "application/xml"

Default: application/json
Body
OrderResponseobjectOptional
Responses
200

OK

statusstringOptionalExample: success
post/transaction/{accountRegNo}/orderresponses/incoming

Read incoming OrderResponses [transaction-type: OrderResponse]

get
/transaction/{accountRegNo}/orderresponses/incoming/readorderresponses

Through this endpoint you will get any unread (=previously fetched) message(s). After you have fetched through this request the message will be automatically marked as read

The response, in JSON, will always include the three latest messages, per default. Using XML you always only get one (as there's no "array" function for XML).

With JSON, use the limit parameter to change the number of returned messages and combine it with offset to traverse through your available messages.

Authorizations
AuthorizationstringRequired
Path parameters
accountRegNostringRequired

Account registration number issued by Qvalia

Default: ""
Query parameters
limitnumberOptional

How many messages to return in Array (XML is always one!)

Default: 3Example: 5
offsetnumberOptional

Where to start index for using limit/offset listing

Default: 0Example: 0
includeReadbooleanOptional

If you are using the "read" enpoints, make it include previously read messages

Default: falseExample: false
Header parameters
AuthorizationstringRequired

API key

Default: ""
AcceptstringOptional

Either "application/json" (default) or "application/xml"

Default: application/json
Responses
200

OK

get/transaction/{accountRegNo}/orderresponses/incoming/readorderresponses

Get outgoing OrderResponses [transaction-type: OrderResponse]

get
/transaction/{accountRegNo}/orderresponses/outgoing

The response, in JSON, will always include the three latest messages, per default. Using XML you always only get one (as there's no "array" function for XML).

With JSON, use the limit parameter to change the number of returned messages and combine it with offset to traverse through your available messages.

To get new messages only, use the "Read" endpoint instead!

Authorizations
AuthorizationstringRequired
Path parameters
accountRegNostringRequired

Account registration number issued by Qvalia

Default: ""
Query parameters
limitnumberOptional

How many messages to return in Array (XML is always one!)

Default: 3Example: 5
offsetnumberOptional

Where to start index for using limit/offset listing

Default: 0Example: 0
includeReadbooleanOptional

If you are using the "read" enpoints, make it include previously read messages

Default: falseExample: false
integrationIdstringOptional

Qvalia unique identifier for the transaction/message

Default: ""
documentIdstringOptional

The document identifier of teh message, e.g. Invoice number

Default: ""
fromstringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
tostringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
updatedAtFromstringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
updatedAtTostringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
Header parameters
AuthorizationstringRequired

API key

Default: ""
AcceptstringOptional

Either "application/json" (default) or "application/xml"

Default: application/json
Responses
200

OK

get/transaction/{accountRegNo}/orderresponses/outgoing

Create outgoing OrderResponse [transaction-type: OrderResponse]

post
/transaction/{accountRegNo}/orderresponses/outgoing

The response, in JSON, will always include the three latest messages, per default. Using XML you always only get one (as there's no "array" function for XML).

With JSON, use the limit parameter to change the number of returned messages and combine it with offset to traverse through your available messages.

To get new messages only, use the "Read" endpoint instead!

Authorizations
AuthorizationstringRequired
Path parameters
accountRegNostringRequired

Account registration number issued by Qvalia

Default: ""
Query parameters
overwritebooleanOptional

For POST requests, chose to overwrite upon a 409 Conflict response to reprocess the message with the same document ID and receiver (i.e. send the same message again)

Default: falseExample: false
Header parameters
AuthorizationstringRequired

API key

Default: ""
Content-TypestringOptional

Either "application/json" (default) or "application/xml"

Default: application/json
Body
OrderResponseobjectOptional
Responses
200

OK

statusstringOptionalExample: success
post/transaction/{accountRegNo}/orderresponses/outgoing

Read outgoing OrderResponses [transaction-type: OrderResponse]

get
/transaction/{accountRegNo}/orderresponses/outgoing/readorderresponses

Through this endpoint you will get any unread (=previously fetched) message(s). After you have fetched through this request the message will be automatically marked as read

The response, in JSON, will always include the three latest messages, per default. Using XML you always only get one (as there's no "array" function for XML).

With JSON, use the limit parameter to change the number of returned messages and combine it with offset to traverse through your available messages.

Authorizations
AuthorizationstringRequired
Path parameters
accountRegNostringRequired

Account registration number issued by Qvalia

Default: ""
Query parameters
limitnumberOptional

How many messages to return in Array (XML is always one!)

Default: 3Example: 5
offsetnumberOptional

Where to start index for using limit/offset listing

Default: 0Example: 0
includeReadbooleanOptional

If you are using the "read" enpoints, make it include previously read messages

Default: falseExample: false
Header parameters
AuthorizationstringRequired

API key

Default: ""
AcceptstringOptional

Either "application/json" (default) or "application/xml"

Default: application/json
Responses
200

OK

get/transaction/{accountRegNo}/orderresponses/outgoing/readorderresponses

Get incoming order response statuses [transaction-type: OrderResponse]

get
/transaction/{accountRegNo}/orderresponses/incoming/status

Returns lightweight delivery/processing status metadata for the matching messages — the message uuid, the incoming readAt timestamp and a metadata object whose status reflects the latest message-log status — WITHOUT the heavy document payload.

Uses the same query-string filters as the resource's GET on /incoming and /outgoing. By default only unread messages are returned; set includeRead=true to also include previously read messages.

The response is always JSON (an array of status objects); there is no XML representation for this endpoint.

Authorizations
AuthorizationstringRequired
Path parameters
accountRegNostringRequired

Account registration number issued by Qvalia

Default: ""
Query parameters
limitnumberOptional

How many messages to return in Array (XML is always one!)

Default: 3Example: 5
offsetnumberOptional

Where to start index for using limit/offset listing

Default: 0Example: 0
includeReadbooleanOptional

If you are using the "read" enpoints, make it include previously read messages

Default: falseExample: false
integrationIdstringOptional

Qvalia unique identifier for the transaction/message

Default: ""
documentIdstringOptional

The document identifier of teh message, e.g. Invoice number

Default: ""
fromstringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
tostringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
updatedAtFromstringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
updatedAtTostringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
Header parameters
AuthorizationstringRequired

API key

Default: ""
Responses
200

OK

application/json
uuidstring · uuidOptional

Qvalia unique identifier for the transaction/message

Example: a1b2c3d4-5678-90ab-cdef-1234567890ab
readAtstring · date-time · nullableOptional

When the (incoming) message was marked as read, or null if unread/not applicable

Example: 2024-01-01T12:00:00.000Z
get/transaction/{accountRegNo}/orderresponses/incoming/status

Get outgoing order response statuses [transaction-type: OrderResponse]

get
/transaction/{accountRegNo}/orderresponses/outgoing/status

Returns lightweight delivery/processing status metadata for the matching messages — the message uuid, the incoming readAt timestamp and a metadata object whose status reflects the latest message-log status — WITHOUT the heavy document payload.

Uses the same query-string filters as the resource's GET on /incoming and /outgoing. By default only unread messages are returned; set includeRead=true to also include previously read messages.

The response is always JSON (an array of status objects); there is no XML representation for this endpoint.

Authorizations
AuthorizationstringRequired
Path parameters
accountRegNostringRequired

Account registration number issued by Qvalia

Default: ""
Query parameters
limitnumberOptional

How many messages to return in Array (XML is always one!)

Default: 3Example: 5
offsetnumberOptional

Where to start index for using limit/offset listing

Default: 0Example: 0
includeReadbooleanOptional

If you are using the "read" enpoints, make it include previously read messages

Default: falseExample: false
integrationIdstringOptional

Qvalia unique identifier for the transaction/message

Default: ""
documentIdstringOptional

The document identifier of teh message, e.g. Invoice number

Default: ""
fromstringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
tostringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
updatedAtFromstringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
updatedAtTostringOptional

YYYY-MM-DD, e.g. 2024-01-01

Default: ""
Header parameters
AuthorizationstringRequired

API key

Default: ""
Responses
200

OK

application/json
uuidstring · uuidOptional

Qvalia unique identifier for the transaction/message

Example: a1b2c3d4-5678-90ab-cdef-1234567890ab
readAtstring · date-time · nullableOptional

When the (incoming) message was marked as read, or null if unread/not applicable

Example: 2024-01-01T12:00:00.000Z
get/transaction/{accountRegNo}/orderresponses/outgoing/status

Last updated

Was this helpful?